?php
require_once("clsbdd.php");

class clsProductos {

    public function listar_activos(){
        $bd = new clsbdd;
        return $bd->ejecutar_array("
            SELECT prd_codigo, prd_nombre, prd_precio, prd_stock
            FROM sba_productos
            WHERE prd_estado = 1 AND prd_stock > 0
        ");
    }

    public function descontar_stock($prd, $cantidad){
        $bd = new clsbdd;
        $bd->ejecutar("
            UPDATE sba_productos
            SET prd_stock = prd_stock - $cantidad
            WHERE prd_codigo = $prd
        ");
    }
}